/*
 To understand the measurments of the accelorometer in the imu LSM6DS33 this tutorial is built up. 
 */

// starting with some imports
#include <Balboa32U4.h>
#include <Wire.h>
#include <LSM6.h>

// setup the inertial measurement unit 
LSM6 imu;

void setup() {
   Wire.begin();
  
  if (!imu.init())
  {
    Serial.println("Failed to detect and initialize IMU!");
    delay(200);
  }
  imu.enableDefault();
  // write the accelerometer
  imu.writeReg(LSM6::CTRL1_XL, 0b01011000); // 208 Hz
}

void loop() {
  // read the input of the imu
  imu.read();
  // print the input adapted to the writings (x/8196.721311) of the accelerometer
  Serial.print("imu.accelerator.x:");
  Serial.print(((float)imu.a.x)/8196.721311);
  Serial.print("     imu.accelerator.y:");
  Serial.print(((float)imu.a.y)/8196.721311);
  Serial.print("     imu.accelerator.z:");
  Serial.println(((float)imu.a.z)/8196.721311);
}
